Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro
Class VariazioneSedeLavoro

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro.VariazioneSedeLavoro

    public class VariazioneSedeLavoro

extends java.lang.Object

Dati di variazione della sede di lavoro.

Field Summary
`private java.lang.String` | `dataAssegnazione` Data di assegnazione della sede di lavoro.
`private ElencoVariazioniAssegnazioneServizio` | `elencoAssegnazioniServizio` Dati delle assegnazioni servizio.

Constructor Summary
`VariazioneSedeLavoro()`

Method Summary
`java.lang.String` | `getDataAssegnazione()`
`ElencoVariazioniAssegnazioneServizio` | `getElencoAssegnazioniServizio()`
`void` | `setDataAssegnazione(java.lang.String dataAssegnazione)`
`void` | `setElencoAssegnazioniServizio(ElencoVariazioniAssegnazioneServizio elencoAssegnazioniServizio)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataAssegnazione

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataAssegnazione

  Data di assegnazione della sede di lavoro.

### elencoAssegnazioniServizio

    @MinOccurs(value=1L)
    private ElencoVariazioniAssegnazioneServizio elencoAssegnazioniServizio

  Dati delle assegnazioni servizio.

Constructor Detail

### VariazioneSedeLavoro

    public VariazioneSedeLavoro()

Method Detail

### setDataAssegnazione

    public void setDataAssegnazione(java.lang.String dataAssegnazione)

### getDataAssegnazione

    public java.lang.String getDataAssegnazione()

### getElencoAssegnazioniServizio

    public ElencoVariazioniAssegnazioneServizio getElencoAssegnazioniServizio()

### setElencoAssegnazioniServizio

    public void setElencoAssegnazioniServizio(ElencoVariazioniAssegnazioneServizio elencoAssegnazioniServizio)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD